4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.PackageManager

Classes: PackageManager |  |  |  | Functions: LoadPackageDefinitions |  |  |  | Globals: DEBUG, INSTALL_LOCATIONS, PKGINFO_FORMAT

## Classes

class PackageManager(Ft.Lib.DistExt.Dist.Dist)

  ### Methods

  __init__(self, attrs)
    Overrides: __init__ from class Dist
  finalize_options(self)
    Overrides: finalize_options from class Dist
  get_package_distribution(self, package)
  handle_display_options(self, option_order)
    Overrides: handle_display_options from class Dist
  merge_package(self, package_info)
  parse_command_line(self)
    Overrides: parse_command_line from class Dist
  print_packages(self)
    Print out a help message listing all available packages with a description of each. The descriptions come from the package definition's 'description' field.
  resolve_dependencies(self, package)
  run_commands(self)
    Overrides: run_commands from class Dist
  sort_dependencies(self, packages)

  ### Methods inherited from class Ft.Lib.DistExt.Dist.Dist

  get_command_class, get_command_list, get_source_files, has_bgen, has_devel, has_docs, has_l10n, has_localstate, has_sysconf, print_commands, print_option_list, run_command

  ### Methods inherited from class distutils.dist.Distribution

  announce, dump_option_dicts, find_config_files, get_command_obj, get_command_packages, get_option_dict, has_c_libraries, has_data_files, has_ext_modules, has_headers, has_modules, has_pure_modules, has_scripts, is_pure, parse_config_files, print_command_list, reinitialize_command

  ### Members

  display_option_names = ['help_packages', 'help_compilers', 'help_commands', 'name', 'version', 'fullname', 'author', 'author_email', 'maintainer', 'maintainer_email', 'contact', 'contact_email', 'url', 'license', 'licence', 'description', 'long_description', 'platforms', 'classifiers', 'keywords']
  display_options = [('help-packages', None, 'list all available packages'), ('help-compilers', None, 'list available compilers'), ('help-commands', None, 'list all available commands'), ('name', None, 'print package name'), ('version', 'V', 'print package version'), ('fullname', None, 'print <package name>-<version>'), ('author', None, "print the author's name"), ('author-email', None, "print the author's email address"), ('maintainer', None, "print the maintainer's name"), ('maintainer-email', None, "print the maintainer's email address"), ('contact', None, "print the maintainer's name if known, else the author's"), ('contact-email', None, "print the maintainer's email address if known, else the author's"), ('url', None, 'print the URL for this package'), ('license', None, 'print the license of the package'), ('licence', None, 'alias for --license'), ('description', None, 'print the package description'), ('long-description', None, 'print the long package description'), ('platforms', None, 'print the list of platforms'), ('classifiers', None, 'print the list of classifiers'), ('keywords', None, 'print the list of keywords')]
  global_options = [('verbose', 'v', 'run verbosely (default)', 1), ('quiet', 'q', 'run quietly (turns verbosity off)'), ('dry-run', 'n', "don't actually do anything"), ('help', 'h', 'show detailed help message'), ('package=', 'p', 'limit command(s) to a given package')]

  ### Members inherited from class Ft.Lib.DistExt.Dist.Dist

  cmd, command_mapping, ordered_commands

  ### Members inherited from class distutils.dist.Distribution

  negative_opt

## Functions

LoadPackageDefinitions(filenames)

## Globals

DEBUG = None
INSTALL_LOCATIONS = {'install_data': 'Examples, demos and other miscellaneous data files', 'install_devel': 'Developer files (regression tests)', 'install_docs': 'Documentation', 'install_headers': 'C/C++ header files', 'install_l10n': 'Natural language message catalogs', 'install_lib': 'Python modules including C extensions', 'install_localstate': 'Machine-specific variable data space', 'install_scripts': 'Executable scripts (for PATH environment variable)', 'install_sysconf': 'Configuration files'}
PKGINFO_FORMAT = {'bgen_files': <type 'list'>, 'config_module': <type 'str'>, 'data_files': <type 'list'>, 'dependencies': <type 'list'>, 'description': <type 'str'>, 'devel_files': <type 'list'>, 'doc_files': <type 'list'>, 'ext_modules': <type 'list'>, 'headers': <type 'list'>, 'l10n': <type 'list'>, ...}